import 'package:intl/intl.dart' as intl;

import 'relative_time_localizations.dart';

/// The translations for Urdu (`ur`).
class RelativeTimeLocalizationsUr extends RelativeTimeLocalizations {
  RelativeTimeLocalizationsUr([String locale = 'ur']) : super(locale);

  @override
  String yearsFuture(num years) {
    return intl.Intl.pluralLogic(
      years,
      locale: localeName,
      zero: 'اس سال',
      one: 'اگلے سال',
      other: '$years سال میں',
    );
  }

  @override
  String yearsFutureNumeric(num years) {
    return intl.Intl.pluralLogic(
      years,
      locale: localeName,
      one: '$years سال میں',
      other: '$years سال میں',
    );
  }

  @override
  String yearsPast(num years) {
    return intl.Intl.pluralLogic(
      years,
      locale: localeName,
      zero: 'اس سال',
      one: 'گزشتہ سال',
      other: '$years سال پہلے',
    );
  }

  @override
  String yearsPastNumeric(num years) {
    return intl.Intl.pluralLogic(
      years,
      locale: localeName,
      one: '$years سال پہلے',
      other: '$years سال پہلے',
    );
  }

  @override
  String quartersFuture(num quarters) {
    return intl.Intl.pluralLogic(
      quarters,
      locale: localeName,
      zero: 'اس سہ ماہی',
      one: 'اگلے سہ ماہی',
      other: '$quarters سہ ماہی میں',
    );
  }

  @override
  String quartersFutureNumeric(num quarters) {
    return intl.Intl.pluralLogic(
      quarters,
      locale: localeName,
      one: '$quarters سہ ماہی میں',
      other: '$quarters سہ ماہی میں',
    );
  }

  @override
  String quartersPast(num quarters) {
    return intl.Intl.pluralLogic(
      quarters,
      locale: localeName,
      zero: 'اس سہ ماہی',
      one: 'گزشتہ سہ ماہی',
      other: '$quarters سہ ماہی پہلے',
    );
  }

  @override
  String quartersPastNumeric(num quarters) {
    return intl.Intl.pluralLogic(
      quarters,
      locale: localeName,
      one: '$quarters سہ ماہی پہلے',
      other: '$quarters سہ ماہی پہلے',
    );
  }

  @override
  String monthsFuture(num months) {
    return intl.Intl.pluralLogic(
      months,
      locale: localeName,
      zero: 'اس ماہ',
      one: 'اگلا مہینہ',
      other: '$months مہینے میں',
    );
  }

  @override
  String monthsFutureNumeric(num months) {
    return intl.Intl.pluralLogic(
      months,
      locale: localeName,
      one: '$months مہینہ میں',
      other: '$months مہینے میں',
    );
  }

  @override
  String monthsPast(num months) {
    return intl.Intl.pluralLogic(
      months,
      locale: localeName,
      zero: 'اس ماہ',
      one: 'گزشتہ ماہ',
      other: '$months مہینے پہلے',
    );
  }

  @override
  String monthsPastNumeric(num months) {
    return intl.Intl.pluralLogic(
      months,
      locale: localeName,
      one: '$months مہینہ پہلے',
      other: '$months مہینے پہلے',
    );
  }

  @override
  String weeksFuture(num weeks) {
    return intl.Intl.pluralLogic(
      weeks,
      locale: localeName,
      zero: 'اس ہفتہ',
      one: 'اگلے ہفتے',
      other: '$weeks ہفتے میں',
    );
  }

  @override
  String weeksFutureNumeric(num weeks) {
    return intl.Intl.pluralLogic(
      weeks,
      locale: localeName,
      one: '$weeks ہفتہ میں',
      other: '$weeks ہفتے میں',
    );
  }

  @override
  String weeksPast(num weeks) {
    return intl.Intl.pluralLogic(
      weeks,
      locale: localeName,
      zero: 'اس ہفتہ',
      one: 'گزشتہ ہفتے',
      other: '$weeks ہفتے پہلے',
    );
  }

  @override
  String weeksPastNumeric(num weeks) {
    return intl.Intl.pluralLogic(
      weeks,
      locale: localeName,
      one: '$weeks ہفتہ پہلے',
      other: '$weeks ہفتے پہلے',
    );
  }

  @override
  String daysFuture(num days) {
    return intl.Intl.pluralLogic(
      days,
      locale: localeName,
      zero: 'آج',
      one: 'آئندہ کل',
      two: 'آنے والا پرسوں',
      other: '$days دنوں میں',
    );
  }

  @override
  String daysFutureNumeric(num days) {
    return intl.Intl.pluralLogic(
      days,
      locale: localeName,
      one: '$days دن میں',
      other: '$days دنوں میں',
    );
  }

  @override
  String daysPast(num days) {
    return intl.Intl.pluralLogic(
      days,
      locale: localeName,
      zero: 'آج',
      one: 'گزشتہ کل',
      two: 'گزشتہ پرسوں',
      other: '$days دنوں پہلے',
    );
  }

  @override
  String daysPastNumeric(num days) {
    return intl.Intl.pluralLogic(
      days,
      locale: localeName,
      one: '$days دن پہلے',
      other: '$days دنوں پہلے',
    );
  }

  @override
  String hoursFuture(num hours) {
    return intl.Intl.pluralLogic(
      hours,
      locale: localeName,
      zero: 'اس گھنٹے',
      one: '$hours گھنٹے میں',
      other: '$hours گھنٹے میں',
    );
  }

  @override
  String hoursFutureNumeric(num hours) {
    return intl.Intl.pluralLogic(
      hours,
      locale: localeName,
      one: '$hours گھنٹے میں',
      other: '$hours گھنٹے میں',
    );
  }

  @override
  String hoursPast(num hours) {
    return intl.Intl.pluralLogic(
      hours,
      locale: localeName,
      zero: 'اس گھنٹے',
      one: '$hours گھنٹہ پہلے',
      other: '$hours گھنٹے پہلے',
    );
  }

  @override
  String hoursPastNumeric(num hours) {
    return intl.Intl.pluralLogic(
      hours,
      locale: localeName,
      one: '$hours گھنٹہ پہلے',
      other: '$hours گھنٹے پہلے',
    );
  }

  @override
  String minutesFuture(num minutes) {
    return intl.Intl.pluralLogic(
      minutes,
      locale: localeName,
      zero: 'اس منٹ',
      one: '$minutes منٹ میں',
      other: '$minutes منٹ میں',
    );
  }

  @override
  String minutesFutureNumeric(num minutes) {
    return intl.Intl.pluralLogic(
      minutes,
      locale: localeName,
      one: '$minutes منٹ میں',
      other: '$minutes منٹ میں',
    );
  }

  @override
  String minutesPast(num minutes) {
    return intl.Intl.pluralLogic(
      minutes,
      locale: localeName,
      zero: 'اس منٹ',
      one: '$minutes منٹ پہلے',
      other: '$minutes منٹ پہلے',
    );
  }

  @override
  String minutesPastNumeric(num minutes) {
    return intl.Intl.pluralLogic(
      minutes,
      locale: localeName,
      one: '$minutes منٹ پہلے',
      other: '$minutes منٹ پہلے',
    );
  }

  @override
  String secondsFuture(num seconds) {
    return intl.Intl.pluralLogic(
      seconds,
      locale: localeName,
      zero: 'اب',
      one: '$seconds سیکنڈ میں',
      other: '$seconds سیکنڈ میں',
    );
  }

  @override
  String secondsFutureNumeric(num seconds) {
    return intl.Intl.pluralLogic(
      seconds,
      locale: localeName,
      one: '$seconds سیکنڈ میں',
      other: '$seconds سیکنڈ میں',
    );
  }

  @override
  String secondsPast(num seconds) {
    return intl.Intl.pluralLogic(
      seconds,
      locale: localeName,
      zero: 'اب',
      one: '$seconds سیکنڈ پہلے',
      other: '$seconds سیکنڈ پہلے',
    );
  }

  @override
  String secondsPastNumeric(num seconds) {
    return intl.Intl.pluralLogic(
      seconds,
      locale: localeName,
      one: '$seconds سیکنڈ پہلے',
      other: '$seconds سیکنڈ پہلے',
    );
  }
}

/// The translations for Urdu, as used in India (`ur_IN`).
class RelativeTimeLocalizationsUrIn extends RelativeTimeLocalizationsUr {
  RelativeTimeLocalizationsUrIn() : super('ur_IN');

  @override
  String yearsFuture(num years) {
    return intl.Intl.pluralLogic(
      years,
      locale: localeName,
      one: '$years سال میں',
      other: '$years سالوں میں',
    );
  }

  @override
  String yearsFutureNumeric(num years) {
    return intl.Intl.pluralLogic(
      years,
      locale: localeName,
      one: '$years سال میں',
      other: '$years سالوں میں',
    );
  }

  @override
  String monthsFuture(num months) {
    return intl.Intl.pluralLogic(
      months,
      locale: localeName,
      zero: 'اس ماہ',
      one: 'اگلے ماہ',
      other: '$months ماہ میں',
    );
  }

  @override
  String monthsFutureNumeric(num months) {
    return intl.Intl.pluralLogic(
      months,
      locale: localeName,
      one: '$months ماہ میں',
      other: '$months ماہ میں',
    );
  }

  @override
  String monthsPast(num months) {
    return intl.Intl.pluralLogic(
      months,
      locale: localeName,
      zero: 'اس ماہ',
      one: 'گزشتہ ماہ',
      other: '$months ماہ قبل',
    );
  }

  @override
  String monthsPastNumeric(num months) {
    return intl.Intl.pluralLogic(
      months,
      locale: localeName,
      one: '$months ماہ قبل',
      other: '$months ماہ قبل',
    );
  }

  @override
  String weeksFuture(num weeks) {
    return intl.Intl.pluralLogic(
      weeks,
      locale: localeName,
      zero: 'اس ہفتہ',
      one: 'اگلے ہفتہ',
      other: '$weeks ہفتوں میں',
    );
  }

  @override
  String weeksFutureNumeric(num weeks) {
    return intl.Intl.pluralLogic(
      weeks,
      locale: localeName,
      one: '$weeks ہفتہ میں',
      other: '$weeks ہفتوں میں',
    );
  }

  @override
  String weeksPast(num weeks) {
    return intl.Intl.pluralLogic(
      weeks,
      locale: localeName,
      zero: 'اس ہفتہ',
      one: 'گزشتہ ہفتہ',
      other: '$weeks ہفتے قبل',
    );
  }

  @override
  String weeksPastNumeric(num weeks) {
    return intl.Intl.pluralLogic(
      weeks,
      locale: localeName,
      one: '$weeks ہفتہ قبل',
      other: '$weeks ہفتے قبل',
    );
  }

  @override
  String minutesPast(num minutes) {
    return intl.Intl.pluralLogic(
      minutes,
      locale: localeName,
      one: '$minutes منٹ قبل',
      other: '$minutes منٹ قبل',
    );
  }

  @override
  String minutesPastNumeric(num minutes) {
    return intl.Intl.pluralLogic(
      minutes,
      locale: localeName,
      one: '$minutes منٹ قبل',
      other: '$minutes منٹ قبل',
    );
  }

  @override
  String secondsPast(num seconds) {
    return intl.Intl.pluralLogic(
      seconds,
      locale: localeName,
      one: '$seconds سیکنڈ قبل',
      other: '$seconds سیکنڈ قبل',
    );
  }

  @override
  String secondsPastNumeric(num seconds) {
    return intl.Intl.pluralLogic(
      seconds,
      locale: localeName,
      one: '$seconds سیکنڈ قبل',
      other: '$seconds سیکنڈ قبل',
    );
  }
}
